%define upstream_name    CatalystX-CRUD
%define upstream_version 0.57

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    CRUD framework for Catalyst applications
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CatalystX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst::Component::ACCEPT_CONTEXT)
BuildRequires: perl(Catalyst::Exception)
BuildRequires: perl(Catalyst::Runtime)
BuildRequires: perl(Data::Dump)
BuildRequires: perl(Data::Pageset)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Emulate::Class::Accessor::Fast)
BuildRequires: perl(Path::Class::File)
BuildRequires: perl(Search::QueryParser::SQL)
BuildRequires: perl(Sort::SQL)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This document is an overview of the CatalystX::CRUD framework and API.

CatalystX::CRUD provides a simple and generic API for Catalyst CRUD
applications. CatalystX::CRUD is agnostic with regard to data model and
data input, instead providing a common API that different projects can
implement for greater compatability with one another.

The project was born out of a desire to make Rose::HTML::Objects easy to
use with Rose::DB::Object and DBIx::Class ORMs, using the
Catalyst::Controller::Rose project. However, any ORM could implement the
CatalystX::CRUD::Model API, and any form management project could use the
resulting CatalystX::CRUD::Model subclass.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc README META.json META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.570.0-4.mga8
+ Revision: 1493479
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.570.0-3.mga7
+ Revision: 1265979
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.570.0-2.mga6
+ Revision: 1023411
- Rebuild for perl 5.22.2

* Sun Jan 17 2016 buchan <buchan> 0.570.0-1.mga6
+ Revision: 924934
- New upstream version 0.57

* Wed Dec 24 2014 buchan <buchan> 0.560.0-1.mga5
+ Revision: 805323
- imported package perl-CatalystX-CRUD


* Wed Dec 24 2014 Buchan Milne <buchan> 0.56-1mga
- initial mageia release, generated with cpan2dist
